Subject: Re: [sup-devel] Rubymail maintainership

From: Gaute Hope <[email-masked]>
Date: Tue, 28 Jan 2014 08:55:50 +0100

Excerpts from Per Andersson's message of 2014-01-28 02:18:35 +0100:
> Hi!
>
> I am the Debian maintainer for sup.
>
> Recently Sup developers adopted ncursesw-ruby (the ncursesw gem) and
> became the new upstream for that. (Instead of having a fork.)
>
> Since a few days ago the original upstream now carries the exact same
> functionality. Is there any reason for carrying a fork of this any longer?

Where is upstream for this, I'm not sure if I am following you? The only
active fork of ncurses-ruby (ncursesw-ruby) that I can find is ours -
which is now known as 'ncursesw' in gem world (ncursesw-sup has been
removed).

> I understand that the in the future a migration away from rmail is planned.
> In the meantime, using rmail gem, could reduce complexity. Perhaps a
> similar move as with ncursesw-ruby can be made, adopting active
> maintainership? (I can volunteer for this!)
>
> As Matt states, rubymail is looking for active maintainership
>
>     https://github.com/matta/rubymail/pull/2#issuecomment-33173575
>

If you are up for it, that would be good, we might as well push directly
to RMail (and drop rmail-sup). I suggest you contact Matt and we migrate
the rmail-sup repoistory in sup-heliotrope (at github) to use the rmail
namespace. If he wants, we could also just move his repository to the
sup-heliotrope organization.

Please also make sure that the other maintainers of sup are
owners of the rmail gem so that it is not all dependant on one person.

Cheers, Gaute

---

From: Per Andersson <[email-masked]>
Date: Tue, 28 Jan 2014 02:18:35 +0100

Hi!

--
Per
_______________________________________________
Sup-devel mailing list
[email-masked]
http://rubyforge.org/mailman/listinfo/sup-devel

---

From: Gaute Hope <[email-masked]>
Date: Wed, 29 Jan 2014 09:59:20 +0100

Excerpts from Per Andersson's message of 2014-01-28 22:21:48 +0100:
> On Tue, Jan 28, 2014 at 8:55 AM, Gaute Hope <[email-masked]> wrote:
> It was late when I wrote this. What I mean, but did not manage to put in
> writing, is that the rmail-sup gem carries the same functionality. And my
> suggestion was that we adopt active maintainership of rmail.
>
> Sorry for the total confusion, I was tired...
>
> I'll contact Matt and ask!
>
> Absolutely!

Sounds good! If Matt agrees to make us maintainers, but wants to retain
the original repo, we can just rename the rmail-sup repo to rubymail
and revert the gemspec changes.

- gaute

---

From: Per Andersson <[email-masked]>
Date: Tue, 28 Jan 2014 22:21:48 +0100

Absolutely!

Best,
Per